Package org.kie.api.runtime.conf

## Class BeliefSystemTypeOption

- java.lang.Object
- - org.kie.api.runtime.conf.BeliefSystemTypeOption

- All Implemented Interfaces:
    `java.io.Serializable`, `Option`, `SingleValueOption`, `KieSessionOption`, `SingleValueKieSessionOption`, `SingleValueRuleRuntimeOption`

      public class BeliefSystemTypeOption
      extends java.lang.Object
      implements SingleValueRuleRuntimeOption

  A class for the belief system configuration.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static OptionKey<BeliefSystemTypeOption>` | `KEY` |
    `static java.lang.String` | `PROPERTY_NAME` | The property name for the belief system configuration

    - ### Fields inherited from interface org.kie.api.runtime.conf.SingleValueRuleRuntimeOption

      `TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `static BeliefSystemTypeOption` | `get​(java.lang.String beliefSystemType)` | This is a factory method for this belief system configuration.
    `java.lang.String` | `getBeliefSystemType()` |
    `java.lang.String` | `getPropertyName()`
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.conf.Option

      `propertyName`

    - ### Methods inherited from interface org.kie.api.runtime.conf.SingleValueRuleRuntimeOption

      `type`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      The property name for the belief system configuration
      See Also:
        Constant Field Values

    - #### KEY

          public static OptionKey<BeliefSystemTypeOption> KEY

  - ### Method Detail

    - #### get

          public static BeliefSystemTypeOption get​(java.lang.String beliefSystemType)

      This is a factory method for this belief system configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
      Parameters:
        `beliefSystemType` - the identifier for the belie system
      Returns:
        the actual type safe default clock type configuration.

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `Option`
      Returns:
        the property name for this option

    - #### getBeliefSystemType

          public java.lang.String getBeliefSystemType()

      Returns:
        the configured belief system type

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`